# byconj.gd RAQ Quandles by conjugation

# The following outline of defining c

DeclareCategory( "IsConjugatorObject", 
                 IsMultiplicativeElement and IsLeftQuotientElement and
                 IsLSelfDistElement and IsIdempotent);
DeclareCategoryCollections("IsConjugatorObject");

DeclareAttribute("ConjugatorFamily", IsFamily);

DeclareSynonym("IsDefaultConjugatorObject",
               IsConjugatorObject and IsPositionalObjectOneSlotRep);

DeclareAttribute("ConjugatorObj", 
                 IsMultiplicativeElement and IsLeftQuotientElement and
                 IsRightQuotientElement
                );

DeclareAttribute("UnderlyingMultiplicativeElement", IsConjugatorObject);

# The meat of the matter:

DeclareAttribute("ConjugationQuandle", IsGroup);
